Execute Quote
curl --request POST \
--url https://sandbox.api.fin.com/v2/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "9ba7d6db-ac78-4a41-acae-f787ee6b1f24"
}
'const url = 'https://sandbox.api.fin.com/v2/transactions';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quote_id: '9ba7d6db-ac78-4a41-acae-f787ee6b1f24'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quote_id\": \"9ba7d6db-ac78-4a41-acae-f787ee6b1f24\"\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions"
payload = { "quote_id": "9ba7d6db-ac78-4a41-acae-f787ee6b1f24" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions"
payload := strings.NewReader("{\n \"quote_id\": \"9ba7d6db-ac78-4a41-acae-f787ee6b1f24\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"transaction_id": "8c92e9dd-6456-4aee-a441-1861144f1d8b",
"beneficiary_id": "6af8d598-36a5-477d-9320-d7c5ba309107",
"created_at": "2026-04-29T09:56:14.906031567Z"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Crypto Transfer
Execute Quote
Executes a quote returned from the Create Quote endpoint, initiating a crypto withdrawal to the beneficiary’s external wallet.
POST
/
v2
/
transactions
Execute Quote
curl --request POST \
--url https://sandbox.api.fin.com/v2/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quote_id": "9ba7d6db-ac78-4a41-acae-f787ee6b1f24"
}
'const url = 'https://sandbox.api.fin.com/v2/transactions';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quote_id: '9ba7d6db-ac78-4a41-acae-f787ee6b1f24'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v2/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quote_id\": \"9ba7d6db-ac78-4a41-acae-f787ee6b1f24\"\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions"
payload = { "quote_id": "9ba7d6db-ac78-4a41-acae-f787ee6b1f24" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions"
payload := strings.NewReader("{\n \"quote_id\": \"9ba7d6db-ac78-4a41-acae-f787ee6b1f24\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"transaction_id": "8c92e9dd-6456-4aee-a441-1861144f1d8b",
"beneficiary_id": "6af8d598-36a5-477d-9320-d7c5ba309107",
"created_at": "2026-04-29T09:56:14.906031567Z"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Body
application/json
The quote ID returned from the Create Quote endpoint.
Example:
"9ba7d6db-ac78-4a41-acae-f787ee6b1f24"
Response
Quote executed successfully
Show child attributes
Show child attributes
⌘I
